BareMetal API, REST: BootImage.GetBootImage
Returns the specific BootImage resource.
To get the list of available Image resources, make a [List] request.
https://google.aip.dev/130 --)
HTTP request
GET https://baremetal.api.yandexcloud.kz/baremetal/v2/clouds/{cloudId}/folders/{folderId}/bootImages/{bootImageId}
Path parameters
|
Field |
Description |
|
cloudId |
string Required field. ID of the parent cloud. To get the cloud ID, use a yandex.cloud.resourcemanager.v1.CloudService.List request. |
|
folderId |
string Required field. ID of the parent folder. To get the folder ID, use a yandex.cloud.resourcemanager.v1.FolderService.List request. |
|
bootImageId |
string Required field. ID of the BootImage resource to return. Value must match the regular expression |
Response
HTTP Code: 200 - OK
{
"bootImageId": "string",
"cloudId": "string",
"folderId": "string",
"name": "string",
"description": "string",
"uri": "string",
"checksum": "string",
"state": "string",
"createTime": "string",
"updateTime": "string",
"annotations": "object"
}
An BootImage resource.
|
Field |
Description |
|
bootImageId |
string ID of the image. |
|
cloudId |
string ID of the cloud that the image belongs to. |
|
folderId |
string ID of the folder that the image belongs to. |
|
name |
string Name of the image. The string length in characters must be 2-63. Value must match the regular expression |
|
description |
string Description of the image. The maximum string length in characters is 1024. |
|
uri |
string URI of the source image to create the new image from. The maximum string length in characters is 1024. |
|
checksum |
string MD5 checksum of the image. |
|
state |
enum (State) State of the image.
|
|
createTime |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
updateTime |
string (date-time) Updafe timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
annotations |
object (map<string, string>) Resource annotations as The maximum string length in characters for each value is 63. The string length in characters for each key must be 1-63. Each key must match the regular expression |